CREATE TABLE `car`.`jiaKaoBaoDian`
(
    `answer`         int          NOT NULL COMMENT '答案 单选题时 (2 ** (3+n)) n 为 选项下标 A: 0 B: 1 以此类推 A对应二进制 0001 0000 B 对应 0010 0000 C对应 0100 0000 D对应 1000 0000',
    `id`             int          NOT NULL COMMENT 'id',
    `mediaContent`   varchar(500) NULL COMMENT '媒体资源',
    `question`       varchar(500) NOT NULL COMMENT '题目',
    `questionId`     int          NOT NULL COMMENT '题目id',
    `optionA`        varchar(255) NULL COMMENT 'A选项',
    `optionB`        varchar(255) NULL COMMENT 'B选项',
    `optionC`        varchar(255) NULL COMMENT 'C选项',
    `optionD`        varchar(255) NULL COMMENT 'D选项',
    `optionE`        varchar(255) NULL COMMENT 'E选项',
    `optionF`        varchar(255) NULL COMMENT 'F选项',
    `optionG`        varchar(255) NULL COMMENT 'G选项',
    `optionH`        varchar(255) NULL COMMENT 'H选项',
    `keywords`       varchar(255) NULL COMMENT '关键字',
    `illiteracyExplain` varchar(500) NULL COMMENT '相关规定',
    `conciseExplain` varchar(255) NULL COMMENT '简单解析',
    `explain`        varchar(500) NULL COMMENT '解析',
    `knack`          varchar(500) NULL COMMENT '窍门',
    `wrongRate`     decimal(19,16) DEFAULT 0 COMMENT '错误率',
    PRIMARY KEY (`id`),
    UNIQUE INDEX `idx_question_id` (`questionId`)
);
